Bug 222840 - anaconda: Network instance has no attribute 'useIPv4'
Summary: anaconda: Network instance has no attribute 'useIPv4'
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-16 14:51 UTC by Prarit Bhargava
Modified: 2013-01-10 04:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-05 18:43:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Prarit Bhargava 2007-01-16 14:51:33 UTC
Description of problem:

Installing rawhide leads to anaconda debug screen.

Version-Release number of selected component (if applicable): rawhide-20070115


How reproducible: 100%


Steps to Reproduce:
1. Boot and attempt to install via NFS
2. Use IPV4 
  
Actual results:

Traceback (most recent call first):
  File "/usr/lib/anaconda/textw/network_text.py", line 177, in runScreen
    self.ipv4Cb = Checkbox(_("Enable IPv4 support"), net.useIPv4)
  File "/usr/lib/anaconda/textw/network_text.py", line 449, in __call__
    showonboot)
  File "/usr/lib/anaconda/text.py", line 514, in run
    rc = win(self.screen, instance)
  File "/usr/bin/anaconda", line 970, in <module>
    anaconda.intf.run(anaconda)
AttributeError: Network instance has no attribute 'useIPv4'


Entering debugger...
> /usr/lib/anaconda/textw/network_text.py(177)runScreen()
-> self.ipv4Cb = Checkbox(_("Enable IPv4 support"), net.useIPv4)
(Pdb) 

Expected results: Install should succeed

Comment 1 Jeremy Katz 2007-01-16 15:24:08 UTC
This is related to dcantrell's ongoing rework of the way ipv4/ipv6 interact :-)

Comment 2 Jesse Keating 2007-01-18 01:15:47 UTC
This only seems to happen in text mode.  Just narrowing down the test cases.

Comment 3 Zhang Yanmin 2007-01-18 01:56:03 UTC
It's anaconda-11.2.0.9-1.

Comment 4 David Cantrell 2007-03-05 18:43:28 UTC
This is fixed in rawhide's anaconda.  Thanks.


Note You need to log in before you can comment on or make changes to this bug.